from parallels.common.session_files import CommonSessionFiles

class PleskSessionFiles(CommonSessionFiles):
	def get_path_to_applications_filename(self, server_id):
		return self._migrator_server.get_session_file_path(
			u"plesk.applications.%s.yaml" % (server_id)
		)

	def get_converted_vdir_xml(self, site_name):
		return self._migrator_server.get_session_file_path(
			u"vdir-converted.%s.xml" % site_name
		)

	def get_raw_vdir_xml(self, site_name):
		return self._migrator_server.get_session_file_path(
			u"vdir-raw.%s.xml" % site_name
		)

	def get_dns_timings_file(self):
		return self._migrator_server.get_session_file_path(
			'dns_timings.yaml'
		)
